%define module	Math-Spline
%define name	perl-%{module}
%define version	0.01
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Cubic Spline Interpolation of data
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
This package provides cubic spline interpolation of numeric data. The data is
passed as references to two arrays containing the x and y ordinates. It may be
used as an exporter of the numerical functions or, more easily as a class
module.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Jan 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-1mdk
- first mdk release
